Skip to main content
GET
Get Payment Instructions

Authorizations

Authorization
string
header
required

Bearer authentication with an API token

Path Parameters

identity_id
string
required

Identity ID

payment_instructions_id
string
required

Payment instructions ID

Response

Success

Payment instructions for a conversion.

country
enum<string>
required

Country of the bank account (ISO 3166-1 alpha-2).

Available options:
US,
CA,
MX,
CR,
DO,
GT,
HN,
JM,
SV,
AR,
BO,
BR,
CL,
CO,
EC,
PE,
AT,
BE,
BG,
CH,
CY,
CZ,
DE,
DK,
EE,
ES,
FI,
FR,
GR,
HR,
HU,
IE,
IT,
LT,
LU,
LV,
MT,
NL,
NO,
PL,
PT,
RO,
SE,
SI,
SK,
AE,
EG,
IL,
JO,
QA,
SA,
GH,
KE,
ZA,
AU,
ID,
IN,
JP,
KR,
MY,
PH,
PK,
SG,
TH,
GB
Example:

"US"

fiat_currency_symbol
enum<string>
required

Currency symbol of the fiat transaction

Available options:
USD,
MXN,
INR,
KRW,
JPY,
SGD,
MYR,
THB,
IDR,
PHP,
QAR,
EGP,
JOD,
GHS,
KES,
HNL,
BOB,
JMD,
COP,
GTQ,
BRL,
PEN,
CLP,
CRC,
DOP,
ZAR,
CAD,
PKR,
SAR,
ILS,
EUR,
GBP,
ARS,
AUD,
AED
Example:

"USD"

account_name
string
required

Friendly name for the payment instructions (e.g., "John's Chase Account")

payment_method
enum<string>
required

Payment method for the fiat transaction

Available options:
WIRE,
ACH,
SPEI,
IMPS_FIRC,
BANK_TRANSFER,
CCE,
TEF,
SINPE,
LBTR,
EFT,
IBFT,
MADA,
ZAHAV,
SEPA,
PIX,
COELSA,
BECS,
NPSS
Example:

"WIRE"

bank_account_details
bank_account_details · object
required

Bank account details

beneficiary_type
enum<string>
required

Whether these instructions pay the sender (FIRST_PARTY) or someone else (THIRD_PARTY).

Available options:
FIRST_PARTY,
THIRD_PARTY
Example:

"FIRST_PARTY"

recipient
recipient · object
required

Recipient information.

id
string
read-only

Payment instructions ID

identity_id
string
read-only

Bastion identity that owns the payment instructions.